#ifndef PGMEMOSELECTCORBASERVER_H
#define PGMEMOSELECTCORBASERVER_H
#include <stdio.h>
#include <stdlib.h>

#define OPTION_FLAG     '-'
#define OPTION_FLAG_POS (0)
#define OPTION_POS      (1)




typedef struct pgMemoSelectCORBAServerInfo {
    long flagRedirect;

    long flagIn;
    char* In;
    FILE* fptIn;
    
    long flagOut;
    char* Out;
    FILE* fptOut;
    
    long flagconfigFile;
    char* configFile;
    FILE* fptconfigFile;
    
    long flagHost;
    char* Host;
    
    long flagPort;
    char* Port;
    
    long flagDBName;
    char* DBName;
    
    long flagmode;
    long mode;
    
} pgMemoSelectCORBAServerInfo;
#ifdef __cplusplus
extern "C" {
#endif
extern void argCheck(pgMemoSelectCORBAServerInfo* info, int argc, char* avgv[]);
extern void khorosInit(int argc, char* avgv[]);
extern void init0(pgMemoSelectCORBAServerInfo* info);
extern void init1(pgMemoSelectCORBAServerInfo* info);
extern void usage(char* usage);
extern void additionalUsage(void);
extern void htmlBeforeUsage(char* usage);
extern void htmlAfterUsage(char* usage);
#ifdef __cplusplus
};
#endif
#endif /* PGMEMOSELECTCORBASERVER_H */
